#include "debug_printf.h"
#include "uart.h"
#include <stdio.h>
#include <stdarg.h>

int debug_puts(const char* str){
    do{
        uart_putchar(*str);
    } while(*str++);
    return 0;
}

int debug_printf(const char *format, ...)
{
  char buffer[256];
  va_list args;
  va_start (args, format);
  vsprintf (buffer,format, args);
  int ret =  debug_puts(buffer);
  va_end (args);
  return ret;
}


